/*
    KMLOCfg
    
    A utility to configure the ELSA MicroLink(tm) Office modem.

    Copyright (C) 2000 Oliver Gantz <Oliver.Gantz@epost.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    ------
    ELSA and MicroLink are trademarks of ELSA AG, Aachen.
*/

#ifndef GLOBAL_H
#define GLOBAL_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif 

#include <qstring.h>


#define ID_PREF_GROUP_GENERAL	"General"
#define ID_PREF_GEN_TOOLTIPS	"ToolTips"
#define PREF_GEN_TOOLTIPS			true

#define ID_PREF_GROUP_MODEM		"Modem"
#define ID_PREF_MOD_DEVICE		"Device"
#define PREF_MOD_DEVICE   		"/dev/modem"
#define ID_PREF_MOD_SPEED			"Speed"
#define PREF_MOD_SPEED    		1		// == 38400 Bps


#define ID_FILE_DOWNLOAD           10010
#define ID_FILE_UPLOAD             10020
#define ID_FILE_NEW                10030
#define ID_FILE_EDIT               10040
#define ID_FILE_QUIT               10050

#define ID_SETTINGS_TOOLBAR        11010
#define ID_SETTINGS_STATUSBAR      11020
#define ID_SETTINGS_SAVEOPTIONS    11030
#define ID_SETTINGS_CONFIGURE      11040

#define ID_HELP_CONTENTS           1002
#define ID_HELP_ABOUT              1003

#define ID_STATUS_MSG              1001


QString expandPath(const QString& fname);


#endif // GLOBAL_H
